### Function

# Gtk.tree_create_row_drag_content

#### Declaration [src]

    GdkContentProvider*
    gtk_tree_create_row_drag_content (
      GtkTreeModel* tree_model,
      GtkTreePath* path
    )

#### Description [src]

Creates a content provider for dragging `path` from `tree_model`.

#### Parameters

`tree_model` | `GtkTreeModel`
| a `GtkTreeModel`
| Ownership is not transferred to the callee
`path` | `GtkTreePath`
| a row in `tree_model`
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkContentProvider*`
a new `GdkContentProvider`
Ownership of the data is transferred to the caller